Bug 841543 - Enhance statedump of write-behind
Enhance statedump of write-behind
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: logging (Show other bugs)
mainline
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Raghavendra Bhat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 07:03 EDT by Amar Tumballi
Modified: 2013-12-18 19:08 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:27:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2012-07-19 07:03:17 EDT
Description of problem:

[xlator.performance.write-behind.file]
xlator.performance.write-behind.file.fd=0x2aaaacd20284
xlator.performance.write-behind.file.disabled=0
xlator.performance.write-behind.file.disable_till=0
xlator.performance.write-behind.file.window_conf=0
xlator.performance.write-behind.file.window_current=0
xlator.performance.write-behind.file.flags=!O_APPEND
xlator.performance.write-behind.file.aggregate_current=0
xlator.performance.write-behind.file.refcount=1
xlator.performance.write-behind.file.op_ret=0
xlator.performance.write-behind.file.op_errno=0


I see that almost all of this info is '0' in most cases, need to output only if not 0.
Comment 1 Vijay Bellur 2012-08-16 01:52:08 EDT
CHANGE: http://review.gluster.com/3815 (performance/write-behind: use pthread_mutex_trylock to hold mutex in statedumps) merged in release-3.3 by Vijay Bellur (vbellur@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.